// Application class
class CClientApp : public CWinApp
{
public:
	 virtual BOOL InitInstance();
	 virtual int  ExitInstance();
};

// Main window class, inherits also from DDEClient
class CMainWindow : public CFrameWnd, public DDEClient
{
	 UINT   PointClipFormat; // Clipboard format for Position
	 CPoint Position;        // Position of circle in client area 

public: 
	 CMainWindow();

     // Overridden DDEClient's virtual functions 
     virtual BOOL ReceiveAdvise(const DDEString & Item, const DDEDataIn * const data, UINT format);
     virtual void TransactionCompleted(const DDEString & Item,const DDEDataIn * const data,UINT format,DWORD UserID,BOOL Ok);
     virtual void Disconnected();
     virtual void Register(const DDEString & BaseServiceName, const DDEString & InstanceServiceName, BOOL Register);

protected:

	 // Windows message handlers
	 afx_msg void OnPaint();
	 afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
     afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	 afx_msg void OnMouseMove(UINT nFlags, CPoint point);
     afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	 DECLARE_MESSAGE_MAP()
};
